/******************************************************************************
 * This file was generated by langium-cli 0.2.0.
 * DO NOT EDIT MANUALLY!
 ******************************************************************************/

import { LangiumGeneratedServices, LangiumServices, LanguageMetaData, Module } from 'langium';
import { LangiumNameTestAstReflection } from './ast';
import { grammar } from './grammar';

export const languageMetaData: LanguageMetaData = {
    languageId: 'langium-name-test',
    fileExtensions: ['.lan']
};

export const LangiumNameTestGeneratedModule: Module<LangiumServices, LangiumGeneratedServices> = {
    Grammar: () => grammar(),
    AstReflection: () => new LangiumNameTestAstReflection(),
    LanguageMetaData: () => languageMetaData,
    parser: {}
};
